# Installation
> `npm install --save @types/camelize`

# Summary
This package contains type definitions for camelize (https://github.com/ljharb/camelize).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/camelize.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/camelize/index.d.ts)
````ts
type CamelSeparator = "-" | "_" | ".";

/**
 * Converts a string to camel case.
 */
type CamelCase<S extends string> = S extends `${infer FirstWord}${CamelSeparator}${infer SecondChar}${infer Remaining}`
    ? `${Lowercase<FirstWord>}${Uppercase<SecondChar>}${CamelCase<Remaining>}`
    : Lowercase<S>;

type Camelize<T> = T extends Date ? T
    : T extends RegExp ? T
    : T extends Array<infer I> ? Array<Camelize<I>>
    : T extends object ? {
            [K in keyof T as CamelCase<string & K>]: Camelize<T[K]>;
        }
    : T;

declare function camelize<T>(obj: T): T extends string ? CamelCase<T> : Camelize<T>;

export = camelize;

````

### Additional Details
 * Last updated: Sat, 27 Jul 2024 07:07:31 GMT
 * Dependencies: none

# Credits
These definitions were written by [Tristan F.](https://github.com/LeoDog896).
